%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% @brief: Reset Simulation to Its defaults
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function  Callback_Reset_Button( Hobject, callbackData )
    global S;

    %%%%%%%%%%%%%%
    % Stop Timer %
    if(isfield(S,'tm'))
        if(isvalid(S.tm))
            stop(S.tm);
        end
    end

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % Reset Variables To Default %
    S.Px    = S.PxO;
    S.Py    = S.PyO;
    S.Vx    = S.VxO;
    S.Vy    = S.VyO;
    S.Mass  = S.MassO;
    S.Dt    = S.DtO;
    S.Rz    = S.RzO;
    S.Mx    = S.MxO;
    S.My    = S.MyO;

    %%%%%%%%%%%%%%%%%
    % Update Labels %
    S.EditPx.String     = num2str(S.Px);
    S.EditPy.String     = num2str(S.Py);
    S.EditVx.String     = num2str(S.Vx);
    S.EditVy.String     = num2str(S.Vy);
    S.EditDt.String     = num2str(S.Dt);
    S.EditMass.String   = num2str(S.Mass);
    S.EditMx.String     = num2str(S.Mx);
    S.EditMy.String     = num2str(S.My);
    S.EditRz.String     = num2str(S.Rz);
    S.ListBox.Value     = 3;

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % Set Userdata Data to Global %
    if(isfield(S,'tm'))
        if(isvalid(S.tm))
            S.tm.UserData = S;
        end
    end

end
