%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% @brief: Updates positions of GUI Components on Figure Size Change
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function Callback_Resize( hobject,callbackdata)
  global S;
      
  %%%%%%%%%%%%%%%%%%%
  % Get Figure Size %
  FigSize = hobject.Position;
  FigWidth = FigSize(3);
  FigHeight = FigSize(4);

  %%%%%%%%%%%%%%%%%%%%%%%%
  % Compute Start Offset %
  GUIStart = FigHeight - S.VertSpacing - S.GenOffset;

  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  % Update position of Edit Boxes % 
  VertX = 1;
  S.EditPx.Position   = [S.GenOffset + S.EditHOffset GUIStart - S.VertSpacing*VertX S.EdWidth S.EdHeight];VertX = VertX + 1;
  S.EditPy.Position   = [S.GenOffset + S.EditHOffset GUIStart - S.VertSpacing*VertX S.EdWidth S.EdHeight];VertX = VertX + 1;
  S.EditVx.Position   = [S.GenOffset + S.EditHOffset GUIStart - S.VertSpacing*VertX S.EdWidth S.EdHeight];VertX = VertX + 1;
  S.EditVy.Position   = [S.GenOffset + S.EditHOffset GUIStart - S.VertSpacing*VertX S.EdWidth S.EdHeight];VertX = VertX + 1;
  S.EditDt.Position   = [S.GenOffset + S.EditHOffset GUIStart - S.VertSpacing*VertX S.EdWidth S.EdHeight];VertX = VertX + 1;
  S.EditMass.Position = [S.GenOffset + S.EditHOffset GUIStart - S.VertSpacing*VertX S.EdWidth S.EdHeight];VertX = VertX + 1;
  S.EditRz.Position   = [S.GenOffset + S.EditHOffset GUIStart - S.VertSpacing*VertX S.EdWidth S.EdHeight];VertX = VertX + 1;
  S.EditMx.Position   = [S.GenOffset + S.EditHOffset GUIStart - S.VertSpacing*VertX S.EdWidth S.EdHeight];VertX = VertX + 1;
  S.EditMy.Position   = [S.GenOffset + S.EditHOffset GUIStart - S.VertSpacing*VertX S.EdWidth S.EdHeight];VertX = VertX + 1;

  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  % Update position of Labels %
  VertX = 1;
  S.LabPx.Position    = [S.GenOffset GUIStart - S.VertSpacing*VertX S.LabWidth S.LabHeight];VertX = VertX + 1; 
  S.LabPy.Position    = [S.GenOffset GUIStart - S.VertSpacing*VertX S.LabWidth S.LabHeight];VertX = VertX + 1; 
  S.LabVx.Position    = [S.GenOffset GUIStart - S.VertSpacing*VertX S.LabWidth S.LabHeight];VertX = VertX + 1; 
  S.LabVy.Position    = [S.GenOffset GUIStart - S.VertSpacing*VertX S.LabWidth S.LabHeight];VertX = VertX + 1; 
  S.LabDt.Position    = [S.GenOffset GUIStart - S.VertSpacing*VertX S.LabWidth S.LabHeight];VertX = VertX + 1; 
  S.LabMass.Position  = [S.GenOffset GUIStart - S.VertSpacing*VertX S.LabWidth S.LabHeight];VertX = VertX + 1; 
  S.LabRz.Position    = [S.GenOffset GUIStart - S.VertSpacing*VertX S.LabWidth S.LabHeight];VertX = VertX + 1; 
  S.LabMx.Position    = [S.GenOffset GUIStart - S.VertSpacing*VertX S.LabWidth S.LabHeight];VertX = VertX + 1; 
  S.LabMy.Position    = [S.GenOffset GUIStart - S.VertSpacing*VertX S.LabWidth S.LabHeight];VertX = VertX + 1; 

  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  % Update ListBox and Buttons %
  S.ListBox.Position  = [S.GenOffset, GUIStart - S.VertSpacing*VertX - 1*S.GenOffset, S.EdWidth + S.LabWidth, S.ListBoxHeight];VertX = VertX + 1; 
  S.StartBt.Position  = [S.GenOffset, GUIStart - S.VertSpacing*VertX - 1*S.GenOffset, S.EdWidth + S.LabWidth, S.ListBoxHeight];VertX = VertX + 1; 
  S.StopBt.Position   = [S.GenOffset, GUIStart - S.VertSpacing*VertX - 2*S.GenOffset, S.EdWidth + S.LabWidth, S.ListBoxHeight];VertX = VertX + 1; 
  S.ResetBt.Position  = [S.GenOffset, GUIStart - S.VertSpacing*VertX - 3*S.GenOffset, S.EdWidth + S.LabWidth, S.ListBoxHeight];VertX = VertX + 1; 

  % UPDATE BUTTONGROUP AND FIGURE SIZE
  S.ButtonGroup1.Position = [0 0 S.ComponentsWidth/FigWidth 1];

  %%%%%%%%%%%%%%%%%
  % Update Panels %
  FreeWidth = FigWidth - S.ComponentsWidth - 3*S.AxSpacing;
  FreeHeight = FigHeight - 3*S.AxSpacing;
  S.PPos.Position = [(S.ComponentsWidth + S.AxSpacing)/FigWidth,(2*S.AxSpacing + (FreeHeight/3))/FigHeight,(FreeWidth+ S.AxSpacing)/FigWidth,(2*FreeHeight/3)/FigHeight];
  S.PVel.Position = [(S.ComponentsWidth + S.AxSpacing )/FigWidth,(S.AxSpacing )/FigHeight,(FreeWidth + S.AxSpacing)/FigWidth,(FreeHeight/3)/FigHeight];

  %%%%%%%%%%%%%%%%%%%%%%%
  % Update Axes Borders %
  S.AxVel.Position = [S.GS,S.GS,1 - 2*S.GS,1 - 2*S.GS];
  S.AxPos.Position = [S.GS,S.GS,1 - 2*S.GS,1 - 2*S.GS];

end

