function [ Xo, VXo, Yo, VYo,Valid ] = EulerCompute( Dt, X, Vx, Y, Vy, Kappa, Mz, Rz, Mx, My  )

% SOME OPTIMIZATIONS
Valid = 1;
XX = X - Mx;
YY = Y - My;
C0 = -Kappa*Mz*Dt; 

 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 % Avoid Crash Into Earth Surface %
if( abs(complex(XX,YY))  <= Rz)
    Valid = 0;
    VXo   = Vx;
    Xo    = X;
    VYo   = Vy;
    Yo    = Y;
else
    %%%%%%%%%%%%%%%%
    % Update Speed %
    CAngle = angle(complex(XX,YY));
    Radius = (XX)^2 + (YY)^2;
    VXo = Vx + C0 * cos(CAngle) / ( Radius);
    VYo = Vy + C0 * sin(CAngle)  / (Radius);

    %%%%%%%%%%%%%%%%%%%
    % Update Position %
    Xo = X + Dt*Vx;
    Yo = Y + Dt*Vy;
end


end

